Qwt User's Guide 6.0.2

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
QwtPointArrayData Class Reference

`#include <qwt_series_data.h>`

Inheritance diagram for QwtPointArrayData:
[legend]

List of all members.

## Public Member Functions
| QwtPointArrayData (const QVector< double > &x, const QVector< double > &y)
| QwtPointArrayData (const double *x, const double *y, size_t size)
virtual QRectF | boundingRect () const
virtual QPointF | sample (size_t i) const
virtual size_t | size () const
const QVector< double > & | xData () const
const QVector< double > & | yData () const
Public Member Functions inherited from QwtSeriesData< QPointF >
| QwtSeriesData ()
virtual | ~QwtSeriesData ()
virtual void | setRectOfInterest (const QRectF &rect)

## Additional Inherited Members
Protected Attributes inherited from QwtSeriesData< QPointF >
QRectF | d_boundingRect

## Detailed Description

Interface for iterating over two QVector<double> objects.

## Constructor & Destructor Documentation

QwtPointArrayData::QwtPointArrayData | ( | const QVector< double > & | x,
|  | const QVector< double > & | y
| ) |  |

Constructor

Parameters:

  x | Array of x values
  y | Array of y values

See also:
  QwtPlotCurve::setData(), QwtPlotCurve::setSamples()

QwtPointArrayData::QwtPointArrayData | ( | const double * | x,
|  | const double * | y,
|  | size_t | size
| ) |  |

Constructor

Parameters:

  x | Array of x values
  y | Array of y values
  size | Size of the x and y arrays

See also:
  QwtPlotCurve::setData(), QwtPlotCurve::setSamples()

## Member Function Documentation

QRectF QwtPointArrayData::boundingRect | ( |  | ) | const
| virtual

Calculate the bounding rect.

The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns:
  Bounding rectangle

Implements QwtSeriesData< QPointF >.

QPointF QwtPointArrayData::sample | ( | size_t | i | ) | const
| virtual

Return the sample at position i

Parameters:

  i | Index

Returns:
  Sample at position i

Implements QwtSeriesData< QPointF >.

size_t QwtPointArrayData::size | ( |  | ) | const
| virtual

Returns:
  Size of the data set

Implements QwtSeriesData< QPointF >.

const QVector< double > & QwtPointArrayData::xData | ( |  | ) | const

Returns:
  Array of the x-values

const QVector< double > & QwtPointArrayData::yData | ( |  | ) | const

Returns:
  Array of the y-values